//--------------------------------------------------------------------------------//
//-                   HemiOs ( Hemisson Operating System )                       -//
//-                                                                              -//
//-  Copyright (C) Alexandre Colot, K-Team S.A. 2002                             -//
//-  This library is free software; you can redistribute it and/or               -//
//-  modify it under the terms of the GNU Lesser General Public                  -//
//-  License as published by the Free Software Foundation; either                -//
//-  version 2.1 of the License, or any later version.                           -//
//-                                                                              -//
//-  This library is distributed in the hope that it will be useful,             -//
//-  but WITHOUT ANY WARRANTY; without even the implied warranty of              -//
//-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           -//
//-  Lesser General Public License for more details.                             -//
//-                                                                              -//
//-  You should have received a copy of the GNU Lesser General Public            -//
//-  License along with this library; if not, write to the Free Software         -//
//-  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA   -//
//-                                                                              -//
//-                               __  __  ________                               -//
//- K-Team S.A.                  |  |/  /|__    __|___  _____  ___  ___          -//
//- Chemin de Vuasset, CP 111    |     / __ |  | _____|/  _  \|   \/   |         -//
//- 1028 Preverenges             |  |  \    |  | ____|/  /_\  |        |         -//
//- Switzerland                  |__|\__\   |__|______|_/   \_|__|\/|__|         -//
//- alexandre.colot@k-team.com   tel:+41 21 802 5472 fax:+41 21 802 5471         -//
//-                                                                              -//
//--------------------------------------------------------------------------------//

////////////////////////////////////////////////////////////////////////////////
/*!   \file main.c
      \brief The main function where you can add your own code
*/
////////////////////////////////////////////////////////////////////////////////

#include "hemisson.h"
#include "Libs/HemGripper.h"
// Add your variables here
// ...


void main()
{
   unsigned char i;
   unsigned int16 Voltage;
   float Voltage_f;
   unsigned char Capacity;
   hemisson_init();        // Start Hemisson Initialisation
   HemGripper_Init();      // Wait on the Gripper Init
   i = HemGripper_Read_Version();
   printf("HemGripper v.%X\r\n",i);
   while(1)
   {
      hemisson_set_speed(0,0);
      HemGripper_Set_Arm_Consign(7000);
      HemGripper_Set_Gripper_Consign(300);
      Delay_ms(1000);
      HemGripper_Set_Gripper_Consign(5000);
      Delay_ms(500);
      HemGripper_Set_Gripper_Consign(2000);
      Delay_ms(500);
      HemGripper_Set_Gripper_Consign(300);
      Delay_ms(500);
      HemGripper_Set_Gripper_Consign(5000);
      Delay_ms(300);
      HemGripper_Set_Arm_Consign(0);
      hemisson_set_speed(0,0);
      Delay_ms(2000);
      Voltage = HemGripper_Read_Battery_Voltage();
      Voltage_f = (float)Voltage /1023 * 5;
      Capacity = HemGripper_Read_Battery_Capacity();
      Printf("Voltage = %f\r\n", Voltage_f);
      Printf("Capacity = %d\r\n", Capacity);
      HemGripper_Set_Gripper_Consign(200);
      Delay_ms(800);
      HemGripper_Set_Arm_Consign(7000);
     Delay_ms(2000);

      hemisson_set_speed(0,0);
      HemGripper_Set_Arm_Consign(00);
      Delay_ms(800);
      HemGripper_Set_Gripper_Consign(5000);
      Delay_ms(500);
      HemGripper_Set_Arm_Consign(7000);
      Delay_ms(1000);


      // Add your Code here
   }

}

